GNU / Linux October 2013 Desktops


Recommended Posts

GNU / Linux October 2013 Desktops - Posting Guidelines

Embedded images should be smaller than or equal to 1440x900 (preferably 1024x768)
The file size for image previews should be no larger than 500 KB
Images linked externally should be no larger than 3 MB

* If you plan to img-embed your desktop, please try to keep it under 100k (It's recommended that you link it, externally).

* Stay within the board rules, no matter how yummy you may believe it to be.

* If you are going to quote, there isn't a need to quote an img-embeded picture - Just don't do it. Please just reference the post by page number/page link/etc.

* Off Topic Posts will be edited or removed.

The desktops thread is not to be used as a means to post images of a pornographic or otherwise provocative nature. We do not support a babes forum and neither will we in an unofficial capacity. Please help to keep the thread relevant and safe to browse for everyone.

* The moderators of this forum reserve the right to edit or remove your posts as necessary so they may comply with our Community Rules.

* In the interests of keeping the thread on topic it is strongly urged that you format your posts in the following order:

Themes: Name/where you got it (with link would be nice).

___________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________

 

Linux System Stats Script - Produced by our own Neowin members, Haggis and +xorangekiller!

Link to comment
https://www.neowin.net/forum/topic/1179689-gnu-linux-october-2013-desktops/
Share on other sites

Not a lot has changed since last month..Same wallpaper at the moment. I need to get my networking properly...For some reason, this laptop can't see my Debian server, yet my two Windows computers can...And it has all my wallpapers lol

But updated to Jessie, and the 3.11.2 kernel. First time I've compiled a kernel.

Also using the new Haggis Stats 2.0 program, works good :)

post-44850-0-29589300-1380591667.jpg

mStcBIhl.png

Arch Linux x64

XFCE 4.10

Theme: Zukitwo

Wallpaper: Taken from here

Icons: Faelementary

UI Font: Droid Sans

The wallpaper actually spans two monitors, but I've modified the wallpaper to compensate for the screen bezel and differing resolutions so it looks crap as a screenshot, therefore I'm only showing my main monitor.

Not a whole lot has changed on my desktop since the last time I posted in one of these threads, other than my desktop background and the new Icedove and Minecraft icons pinned to my top panel that is. My desktop background comes from the Autumn 2013 theme posted here. In case anyone is interested, I posted my script for extracting and sanitizing backgrounds from "Windows 8 Desktop Themepacks" below.
 
6ef2fa19e75fccff3561a6d5a48cb46e.png
 

#!/bin/bash

ARCHIVE_MANAGER_EXEC='file-roller'
EXTRACT_DIRECTORY='deskthemes'
DESKTOP_BACKGROUND_DIRECTORY="$EXTRACT_DIRECTORY/DesktopBackground"

which $ARCHIVE_MANAGER_EXEC 1>/dev/null 2>&1
if [ $? -ne 0 ]; then
    ARCHIVE_MANAGER_EXEC=engrampa
    
    which $ARCHIVE_MANAGER_EXEC 1>/dev/null 2>&1
    if [ $? -ne 0 ]; then
        echo "ERROR: Archive manager is not installed!" 1>&2
        exit 1
    fi
fi

if [ -e $EXTRACT_DIRECTORY ]; then
    echo "Deleting: $EXTRACT_DIRECTORY"
    rm -rf $EXTRACT_DIRECTORY
fi

for file in *.deskthemepack; do
    echo "Extracting: $file"
    $ARCHIVE_MANAGER_EXEC --extract-to=$EXTRACT_DIRECTORY --force "$file"
done

if [ ! -d $DESKTOP_BACKGROUND_DIRECTORY ]; then
    echo "ERROR: Directory \"$DESKTOP_BACKGROUND_DIRECTORY\" does not exist!" 1>&2
    exit 2
fi

for file in $DESKTOP_BACKGROUND_DIRECTORY/*.*; do
    new_file="$file"
    
    echo "$new_file" | grep -Eqs '\.[jJ][pP][eE]{0,1}[gG]$'
    if [ $? -eq 0 ]; then
        echo "$new_file" | grep -qs '\.jpg$'
        if [ $? -ne 0 ]; then
            new_file="$(echo $new_file | awk 'BEGIN {FS="."} {for (i=1;i<NF;i++) {printf $i"."}; print "";}')jpg"
        fi
    fi
    
    echo "$new_file" | grep -Eqs '[0-9]+\s*x\s*[0-9]+'
    if [ $? -eq 0 ]; then
        new_file="$(echo "$new_file" | awk 'BEGIN {FS="_*[0-9]+\s*x\s*[0-9]+"} {for (i=1;i<=NF;i++) {printf $i}; print ""}')"
    fi
    
    if [ "x$file" = "x$new_file" ]; then
        echo "TOUCHING: $file"
    else
        echo "MOVING: $file $new_file"
        mv "$file" "$new_file"
    fi
    touch "$new_file"
done

exit 0

Keuka, nice ones. Can you share the name of theme and how you done that? PM me if you want. :)

 

Edit: Never mind, I figured out conky manager, but I still want to know your theme. 

Keuka, nice ones. Can you share the name of theme and how you done that? PM me if you want. :)

 

Edit: Never mind, I figured out conky manager, but I still want to know your theme.

It's the default elementary theme. There's a download here that should get the same results for you (assuming Gnome or XFCE). Don't know what the icons are though, they look pretty good with the theme though :).

Keuka, nice ones. Can you share the name of theme and how you done that? PM me if you want. :)

 

Edit: Never mind, I figured out conky manager, but I still want to know your theme. 

 

https://www.neowin.net/forum/topic/1180735-guide-to-make-elementary-os-look-like-xenzen-configuration/

It's the default elementary theme. There's a download here that should get the same results for you (assuming Gnome or XFCE). Don't know what the icons are though, they look pretty good with the theme though :).

 

https://www.neowin.net/forum/topic/1180735-guide-to-make-elementary-os-look-like-xenzen-configuration/

  • Like 1
This topic is now closed to further replies.
  • Posts

    • I've owned nothing but ATi/AMD GPUs since 2002, after my last nVidia GPU in 2001 (3dfx before that), IIRC, and in all of that time I recall getting this error maybe once, certainly no more than twice. Despite all the scuttlebutt as to how poor AMD drivers are supposed to be that has certainly not been my experience at all... Usually it has been a configuration problem of some kind. Then again, since we're dealing with OS versions that are EOL, it could easily be an OS version discrepancy. It's still weird to think that Win11 has been officially out for more than five years!
    • AI will never be the jobs panacea some companies fantasize about today. Oracle is likely using it as an excuse, which we will see a lot of companies doing, I'm certain. They love their "plausible" excuses for their downturns. A couple of weeks ago my wife asked me to call Krogers about some discrepancy in a online grocery order, and it will be the last time either of us does that. I'll just do emails with humans from now on... The AI experience was horrible--the obviously recorded voice started asking a bunch of questions about our orders six months prior(!) and saying, "Is this in reference to your order on January 6, for $****?" You say "No!" and immediately the next question is "Is this in reference to your order on January 29th, for $****?" again, I answered "No!"--and it was incredible--on and on it went like that for fully 20 minutes until we finally got to the present, and only then was I put through to a human with authentic intelligence... I wondered why on Earth the idiot AI didn't start with the most recent orders and work back from there, as it was something anyone with a functioning brain would have done. And why didn't the AI have enough sense to ask me what the problem was in the first place? It didn't take too much deduction to understand that the goal of this "AI" was to cause the person on the phone to hang up in disgust, with no resolution of the problem. That begs another question: why pay for a tool-free problem line if the goal is to avoid solving your customer's problems?... Fortunately, Krogers does have real humans capable of reading an email and understanding it, and if she sees another situation in the future that's route she or I will take. The online grocery delivery service from Krogers has been great, over all, but their AI truly sucks.
    • AI is the justification that company administrators use to lay people off; it is not the end all, be all touted in the media (many of whom can't tell a microchip from a potato chip). Greed is main driving factor behind its adoption; the other is remaining relevant in the face of competition from other entities.
    • Firefox 152.0.2 is out with fixes for performance, translation, and cloud storage services by Taras Buria A new bug-fixing update is now rolling out to Firefox users in the Release Channel. Less than a week ago, Mozilla fixed crashes on Intel Raptor Lake processors with version 152.0.1. Now, Mozilla has prepared yet another set of fixes that address problems with localization, playback issues of certain MP4 files, and performance issues on website that perform various encryption operations at once. Here is the full changelog: Firefox 152.0.2 is now available for download from Mozilla's FTP. Existing installations will get the update over the next several hours. The latest version will also be available soon on the official website, the Microsoft Store, and Neowin's Software page. You can find Firefox 152.0.2 release notes in the official documentation. In case you missed it, Mozilla released Firefox 152 earlier this month. The latest feature update brought reworked settings with a more streamlined user interface, JPEG XL support, new features for Private mode, a new way to mute a tab (just type "mute" in the address bar), and many more. You can find the complete changelog here. In other Firefox news, Mozilla recently published its roadmap, where the company detailed the upcoming Nova redesign and other features it plans to implement. Mozilla wants to make the new user interface easier to navigate and more modern, with a heavy focus on its privacy tools, such as its built-in VPN. If you are curious, you can already enable the new UI as described here.
  • Recent Achievements

    • One Month Later
      timbobit earned a badge
      One Month Later
    • One Month Later
      nates earned a badge
      One Month Later
    • Week One Done
      Almohandis earned a badge
      Week One Done
    • Rookie
      dorf went up a rank
      Rookie
    • First Post
      mike_rumble earned a badge
      First Post
  • Popular Contributors

    1. 1
      +primortal
      481
    2. 2
      +Edouard
      172
    3. 3
      PsYcHoKiLLa
      103
    4. 4
      Michael Scrip
      88
    5. 5
      neufuse
      70
  • Tell a friend

    Love Neowin? Tell a friend!